CREATE TABLE `project_itasks_deleted` (
  `task_id` bigint NOT NULL AUTO_INCREMENT,
  `project_id` bigint DEFAULT NULL,
  `task_title` varchar(100) DEFAULT NULL,
  `assign_to_user` bigint DEFAULT NULL,
  `task_description` varchar(300) DEFAULT NULL,
  `task_remarks` varchar(1000) DEFAULT NULL,
  `task_progress` int DEFAULT '0',
  `status_id` bigint DEFAULT NULL,
  `task_est_start_date` datetime DEFAULT CURRENT_TIMESTAMP,
  `task_est_end_date` datetime DEFAULT CURRENT_TIMESTAMP,
  `task_start_date` datetime DEFAULT NULL,
  `task_end_date` datetime DEFAULT NULL,
  `upload_attachment` varchar(900) DEFAULT NULL,
  `created_by` bigint DEFAULT NULL,
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `from_project_task_template_id` bigint DEFAULT NULL,
  `from_project_task_template_detail_id` bigint DEFAULT NULL,
  `deleted_by` bigint DEFAULT NULL,
  `deleted_at` datetime DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`task_id`),
  KEY `FK_ref_project_itasks_created_by_idx` (`created_by`),
  KEY `FK_ref_project_itasks_status_id_idx` (`status_id`),
  KEY `FK_ref_project_itasks_project_id_idx` (`project_id`),
  KEY `FK_ref_project_itasks_assign_to_user_idx` (`assign_to_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
